import { z } from "zod/v4";
import { Examples } from "../examples.js";
import { Identifier } from "../id/index.js";

export namespace Organisation {
  export const Info = z
    .object({
      id: Identifier.schema("organisation").meta({
        description: "The unique identifier of the organisation",
        example: Examples.Organisation.id,
      }),
      name: z.string().meta({
        description: "The name of the organisation",
        example: Examples.Organisation.name,
      }),
      slug: z.string().meta({
        description: "The unique slug identifier for the organisation",
        example: Examples.Organisation.slug,
      }),
      ownerID: z.string().meta({
        description: "The unique identifier of the organisation owner",
        example: Examples.Organisation.ownerID,
      }),
    })
    .meta({
      ref: "Organisation",
      description: "Represents an organisation entity within Nestri",
      example: Examples.Organisation,
    });

  export type Info = z.infer<typeof Info>;
}
